      SUBROUTINE FIND_SEQ_CYCL( Rep, Filtre, Heure, Sequence, Cycle)

      CHARACTER *(*) Rep
      CHARACTER *(*) Filtre
      CHARACTER*8 Heure
      CHARACTER*3 Sequence
      CHARACTER*3 Cycle

      CHARACTER*8 Hr
      CHARACTER *80 File
      CHARACTER *80 Line
      CHARACTER*10 Strerr
      INTEGER*4 Nbcl
      INTEGER*4 Irep
      INTEGER*4 Hinter

 100  FORMAT(I8)
      Hr = Heure
      Nbcl=0
      irep=1

       DO WHILE (rep(irep:irep).NE.' ')
                irep=irep+1
        END DO 
        irep=irep-1

 1    Nbcl = Nbcl+1
           filtre(30:35)=Hr(1:6)
           File=rep(1:irep)//filtre
c 1. Faire un ls avec l'heure de debut
           call system('ls '//file //'>> ml.lis')
c
c retrouver la sequence et le cycle dans le nom du fichier pour lire
c     la sequence et le cycle

           open(unit=10,status='old',file='ml.lis')
          read(10,'(a)',iostat=ier, END=200) line
           if(ier.ne.0) goto 2        
               sequence=line(irep+9:irep+11)
               cycle=line(irep+13:irep+15)
 2         close(unit=10)

           call system('rm ml.lis')
           RETURN

 200       IF (Nbcl.LE.3600) THEN
              CALL HSTR_HCS(Hr, Hinter)
                   Hinter = Hinter + 100
              CALL HCS_HSTR( Hinter, Hr)
              GO TO 1
           ELSE
c              STRERR[1:8] = time[1:2]//" "//time[3:4]//" "//time[5:6]
              STOP "Heure de debut non trouvee"
           ENDIF

           END
